package com.gx.obe.management.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.UploadEvaluationResultBlockchainComposite;

/**
 * @Description: 上传评标结果同时上传至中招公信链
 * @author wangx
 */
public class UploadEvaluationResultBlockchainAction extends Action{

	public void run() {
		ActionListener actionListener = this.getListener();
		actionListener.onLoad(this);
		actionListener = this.getListener();
		Composite composite = actionListener.getParentComposite();
		composite.setData("tenderProjectEntity", this.getTenderProject());
		UploadEvaluationResultBlockchainComposite compoiste = new UploadEvaluationResultBlockchainComposite(composite, this,SWT.NONE);
		actionListener.loadComposite(this, compoiste);
	}
}
